/**
 * Js template
 *
 * @package ClubFitness
 */

jQuery( document ).ready(function( $ ) {
	$( '.btn-sidebar' ).click(function(){
		$( '.sidebar-button' ).toggleClass( 'active' );
		$( '.sidebar' ).toggleClass( 'active' );
	});

	jQuery( window ).scroll( function () {
		if ( jQuery( this ).scrollTop() > 100 ) {
			jQuery( '.back-to-top' ).css({
				bottom: "100px"
			});
		} else {
			jQuery( '.back-to-top' ).css({
				bottom: "-100px"
			});
		}
	});

	jQuery( '.back-to-top' ).click(function () {
		jQuery( 'html, body' ).animate({
			scrollTop: '0px'
		}, 1800);
		return false;
	});

	$( window ).scroll( function() {
		$( '.fade-in' ).each( function(i) {
			var bottom_of_object = $( this ).position().top + $( this ).outerHeight();
			var bottom_of_window = $( window ).scrollTop() + $( window ).height();
			if ( bottom_of_window > bottom_of_object ) {
				$( this ).animate( {
					'opacity':'1'
				}, 1500 );
			}
		});
	});

	$( '.dropdown-toggle' ).keyup( function( e ) {
		if ( e.keyCode == 9 ) {
			if ( $( e.target ).hasClass( 'dropdown-toggle' ) ) {
				$( this ).dropdown( 'toggle' );
			}
		}
	});

	$( document ).keyup( function( e ) {
		if ( e.keyCode == 9 ) {
			$( '.navbar-toggler' ).focusin( function() {
				$( '.navbar-toggler' ).removeClass( 'collapsed' );
				$( '.navbar-toggler' ).attr('aria-expanded', 'true');
				$( '.navbar-collapse' ).addClass( 'show' );
			});

			$( '.navbar-nav .nav-item' ).last().focusout( function() {
				$( '.navbar-toggler' ).addClass( 'collapsed' );
				$( '.navbar-toggler' ).attr('aria-expanded', 'false');
				$( '.navbar-collapse' ).removeClass( 'show' );
			});
		}

		if ( e.shiftKey && e.key === 'Tab' ) {
			$( '.skip-link' ).focus( function() {
				$( '.navbar-toggler' ).addClass( 'collapsed' );
				$( '.navbar-toggler' ).attr('aria-expanded', 'false');
				$( '.navbar-collapse' ).removeClass( 'show' );
			});
		}

	});

});
